
   Copyright © 2007 Red Hat, Inc. and others. This material may be distributed
   only subject to the terms and conditions set forth in the Open Publication
   License, v1.0, available at http://www.opencontent.org/openpub/.
     _________________________________________________________________

Introduction

   The following topics are covered in this document:
     * Installation-Related Notes
     * Feature Updates
     * Kernel-Related Updates
     * Driver Updates
     * Technology Previews
     * Resolved Issues
     * Known Issues

   Some updates on Red Hat Enterprise Linux 4.7 may not appear in this version
   of the Release Notes. An updated version of the Red Hat Enterprise Linux 4.7
   Release Notes may also be available at the following URL:

   http://www.redhat.com/docs/manuals/enterprise/

Installation-Related Notes

   The following section includes information specific to installation of Red
   Hat Enterprise Linux and the Anaconda installation program.

Note

   When updating from one minor version of Red Hat Enterprise Linux 4 (such as
   4.5 to 4.6) to Red Hat Enterprise Linux 4.7, it is recommended that you do
   so using Red Hat Network, whether through the hosted web user interface or
   Red Hat Network Satellite.

   If you are upgrading a system with no available network connectivity, use
   the "Upgrade" functionality of Anaconda. However, note that Anaconda has
   limited  abilities to handle issues such as dependencies on additional
   repositories  or  third-party  applications. Further, Anaconda reports
   installation errors in a log file, not interactively.

   As such, Red Hat recommends that when upgrading offline systems, you should
   test and verify the integrity of your upgrade configuration first. Be sure
   to carefully review the update log for errors before applying the upgrade to
   your production environment.

   In-place upgrades between major versions of Red Hat Enterprise Linux (for
   example, upgrading from Red Hat Enterprise Linux 3 to Red Hat Enterprise
   Linux 4.7) is not supported. While the "Upgrade" option of Anaconda allows
   you to perform this, there is no guarantee that the upgrade will result in a
   working  installation. In-place upgrades accross major releases do not
   preserve all system settings, services, and custom configurations. For this
   reason, Red Hat strongly recommends that you perform a fresh installation
   when planning to upgrade between major versions.
     * If you are copying the contents of the Red Hat Enterprise Linux 4.7
       CD-ROMs (in preparation for a network-based installation, for example)
       be sure you copy the CD-ROMs for the operating system only. Do not copy
       the Supplementary CD-ROM, or any of the layered product CD-ROMs, as this
       will overwrite files necessary for Anaconda's proper operation.
       These  CD-ROMs must be installed after Red Hat Enterprise Linux is
       installed.
     * The version of GRUB shipped with Red Hat Enterprise Linux 4 (and all
       updates) does not support software mirroring (RAID1). As such, if you
       install Red Hat Enterprise Linux 4 on a RAID1 partition, the bootloader
       will be installed in the first hard drive instead of the master boot
       record (MBR). This will render the system unbootable.
       If you wish to install Red Hat Enterprise Linux 4 on a RAID1 partition,
       you should clear any pre-existing bootloader from the MBR first.
     * When installing Red Hat Enterprise Linux 4 in Text Mode on systems that
       use flat-panel monitors and some ATI cards, the screen area may appear
       shifted. When this occurs, some areas of the screen will be obscured.
       If this occurs, perform the installation with the parameter linux nofb.
     * When  upgrading from Red Hat Enterprise Linux 4.6 to this release,
       minilogd may log several SELinux denials. These error logs are harmless,
       and can be safely ignored.

Feature Updates

   Password Hashing Using SHA-256/SHA-512
          Password hashing using the SHA-256 and SHA-512 hash functions is now
          supported.

          To  switch  to  SHA-256  or SHA-512 on an installed system, run
          authconfig    --passalgo=sha256   --kickstart   or   authconfig
          --passalgo=sha512 --kickstart. Existing user accounts will not be
          affected until their passwords are changed.

          For  newly  installed  systems, using SHA-256 or SHA-512 can be
          configured  only for kickstart installations. To do so, use the
          --passalgo=sha256 or --passalgo=sha512 options of the kickstart
          command auth; also, remove the --enablemd5 option if it is present.

          If  your installation does not use kickstart, use authconfig as
          described above, then change all passwords (including root) created
          after installation.

          Appropriate options were also added to libuser, pam, and shadow-utils
          to support these password hashing algorithms. authconfig configures
          necessary options automatically, so it is usually not necessary to
          modify them manually:

          + New values of the crypt_style option and new options for both
            hash_rounds_min  and hash_rounds_max are now supported in the
            [defaults] section of /etc/libuser.conf. For more information,
            refer to /usr/share/doc/libuser-[libuser version]/README.sha.
          + New options sha256, sha512, and rounds are now supported by the
            pam_unix   PAM   module.   For  more  information,  refer  to
            /usr/share/doc/pam-[pam version]/txts/README.pam_unix.
          + The following new options in /etc/login.defs are now supported by
            shadow-utils:
               o ENCRYPT_METHOD — Specifies the encryption method to be used.
                 Valid values are DES, MD5, SHA256, SHA512. If this option is
                 defined, MD5_CRYPT_ENAB is ignored.
               o SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS — Specifies the
                 number of hashing rounds to use if ENCRYPT_METHOD is set to
                 SHA256 or SHA512. If neither option is set, a default value is
                 chosen by glibc. If only one option is set, the encryption
                 method specifies the number of rounds.
                 If both options are used, they specify an inclusive interval
                 from  which the number of rounds is chosen randomly. The
                 selected number of rounds is limited to the inclusive interval
                 [1000, 999999999].

   OFED in comps.xml
          The group OpenFabrics Enterprise Distribution is now included in
          comps.xml. This group contains components used for high-performance
          networking and clustering (for example, InfiniBand and Remote Direct
          Memory Access).

   Virtualization
          This update implements the use of paravirtualized block device and
          network drivers, which improve the performance of fully-virtualized
          guests. In addition, you can now use more than three virtual network
          interface (VNIF) numbers per guest domain.

   divider
          The divider=[value] option is a kernel command-line parameter that
          allows you to adjust the system clock rate while maintaining the same
          visible HZ timing value to user space applications.

          Using the divider=[value] option allows you to reduce CPU overhead
          and increase efficiency at the cost of lowering the accuracy of
          timing  operations and profiling. This is useful in virtualized
          environments as well as for certain applications.

          Useful [values] for the standard 1000Hz clock are:

          + 2 = 500Hz
          + 4 = 250Hz
          + 10 = 100Hz (value used by previous releases of Red Hat Enterprise
            Linux)

          Note that the virtualized kernel uses a 250HZ clock by default. As
          such, it does not need the divider=[value] option either in dom0 or
          in paravirtualized guests.

   Firefox Rebase
          Firefox is now updated to version 3.0. This update features several
          fixes and enhancements, most notably:

          + Set homepages are now loaded correctly when the Firefox browser
            window is opened.
          + Firefox no longer crashes when you search for the string "do".
          + Firefox  in  64-bit mode now loads the ext JavaScript library
            correctly. In previous versions of Firefox, web-based applications
            that used this library either took too long to load, or were never
            loaded at all.
          + A cross-site scripting flaw was discovered in the way Firefox
            handled  the jar:URI scheme. This flaw made it possible for a
            malicious web site to conduct a scripting attack against the user.
            This security issue is now fixed in this update.
          + Several flaws were discovered in the way Firefox processed certain
            malformed content. Web sites that contained such content could
            cause Firefox to crash or even execute arbitrary code as the user
            running Firefox. This security issue is now fixed in this update.
          + A  race  condition  was discovered in the way Firefox set the
            window.location property on a web page. With this flaw, it was
            possible for a web page to set an arbitrary Referer header; this
            could lead to a cross-site request forgery (CSRF) attack against
            websites that rely only on the Referer header. This security issue
            is now fixed in this update.
          + Firefox now renders correctly on laptops equipped with external
            display.

          Note, however, that this update of Firefox is not fully backwards
          compatible with all JavaScripts or Firefox plugins used today.

          Also,  Red  Hat  has observed that several large commercial web
          applications have relied on the presence of some cross-site scripting
          flaws addressed by this Firefox update. These scripting flaws are
          described in the following links:

          + http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1234
          + http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-0415

          Consequently, the use of these commercial web applications may result
          in some loss of functionality. You can observe this in the presence
          of additional JavaScript errors in the Firefox Error Console (Tools
          =>  Error  Console).  Red  Hat  is  currently  working with the
          corresponding vendors to address this.

Kernel-Related Updates

   General Kernel Updates

          + iostat  now  outputs  statistics regarding the status and I/O
            performance of partitions.
          + I/O accounting in this release now outputs more comprehensive core
            statistics.  This was accomplished by implementing the use of
            ru_inblock and ru_outblock, which are already used upstream.
          + show_mem() output now includes the total number of pagecache pages.
            This  makes  debugging information sent to the console and to
            /var/log/messages more useful, particularly during out-of-memory
            kills.
          + The O_ATOMICLOOKUP flag is now removed. This flag is not used by
            any current userspace daemons. Further, the bit normally used by
            O_ATOMICLOOKUP  is used by another flag (O_CLOEXEC); as such,
            O_ATOMICLOOKUP was removed to avoid any conflicts arising from this
            bit share.
          + The   kernel   now   exports  process  limit  information  to
            /proc/[PID]/limits (where [PID] is the process ID).
          + The parameter TCP_RTO_MIN can now be configured to a maximum of
            3000 milliseconds. TCP_RTO_MIN was not a tunable kernel parameter
            in previous releases.
            This  update  allows  more  TCP/IP  flexibility,  and enables
            applications to restart a transmission in accordance with wireless
            transmissions (for example, mobile phone transmission rates).
            You can configure the TCP_RTO_MIN parameter through ip route. For
            example, to set TCP_RTO_MIN to the maximum of 3000 milliseconds,
            use:
            ip route change [route] dev eth0 rto_min 3s
            For more information about ip route, refer to man ip.
          + The udp_poll() function is now implemented. This update reduces the
            likelihood of false positive returns from the system call select().
          + You can now enable/disable 32-bit inode numbers. To do so, use the
            kernel parameter nfs.enable_ino64=. Setting nfs.enable_ino64=0 will
            instruct  the  NFS  client to return 32-bit inode numbers for
            readdir() and stat() system calls (instead of the full 64-bit inode
            numbers).
            By default, this kernel parameter is set to return the actual
            64-bit inode numbers.
          + You  can now restrict NFS writes to low memory. To do so, set
            /proc/sys/vm/nfs-writeback-lowmem-only to 1 (this is set to 0 by
            default).
            Previous releases did not include this capability. This caused NFS
            read performance degradation in some cases, particularly when the
            system encountered high volumes of NFS read/write requests.
          + You can now set whether mapped file pages are used in dirty_ratio
            and   dirty_background_ratio  calculations.  To  do  so,  set
            /proc/sys/vm/write-mapped to 1 (this is set to 0 by default).
            Setting /proc/sys/vm/write-mapped to 1 allows you to implement
            faster NFS read performance. Note, however, that doing so exposes
            you to out-of-memory risks.
          + CIFS is now updated to version 1.50c. This update applies several
            enhancements and bug fixes, including the capability to mount OS/2
            shares.
          + Core dump masking is now supported. This allows a core dump process
            to skip the shared memory segments of a process when creating a
            core dump file. This feature also allows you to select whether or
            not to dump anonymous shared memory for each process.
            When a process is dumped, all anonymous memory is written to a core
            file as long as the size of the core file isn't limited. In some
            cases, you may want to prevent some memory segments (such as huge
            shared memory) from being dumped. Conversely, you may also want to
            save file-backed memory segments into a core file, in addition to
            individual files.
            For these purposes, you can use /proc/[pid]/coredump_filter to
            specify which memory segments of the [pid] process is dumped.
            coredump_filter is a bitmask of memory types. If a bitmask is set,
            memory segments of the corresponding memory type are dumped.
            The following memory types are supported:
               o bit 0 — anonymous private memory
               o bit 1 — anonymous shared memory
               o bit 2 — file-backed private memory
               o bit 3 — file-backed shared memory
            To  set a bitmask for [pid], set the corresponding bitmask to
            /proc/[pid]/coredump_filter. For example, to prevent a dump of all
            shared memory segments attached to process 1111, use:
            echo 0x1 > /proc/1111/coredump_filter
            The default value of coredump_filter is 0x3, which specifies that
            all  anonymous  memory  segments  are dumped. Also, note that
            regardless  of  the bitmask status, MMIO pages (such as frame
            buffers) are never dumped and vDSO pages are always dumped
            When a new process is created, the process inherits the bitmask
            status from its parent. As such, Red Hat recommends that you set up
            coredump_filter before the program runs. To do so, echo the desired
            bitmask to /proc/self/coredump_filter before running the program.

   Kernel Updates Specific To This Platform

          + Oprofile now supports event-based profiling on Greyhound hardware.
          + AMD ATI SB800 SATA controller is now supported.
          + AMD ATI SB600 and SB700 SATA controllers that use the 40-pin IDE
            cable are now supported.
          + 64-bit direct memory access (DMA) is now supported on the AMD ATI
            SB700.
          + The PCI device IDs necessary for supporting Intel ICH10 have been
            added.

Driver Updates

   General Driver/Platform Updates

          + i2c-piix4 kernel module is now enabled to support the AMD SBX00
            SMBus.
          + i5000_edac: driver added to support Intel 5000 chipsets.
          + i3000_edac: driver added to support Intel 3000 3010 chipsets.
          + Correct cache info of Intel Tolapai chipset is now added. This
            ensures that the hardware is listed correctly.
          + wacom:  driver updated to add support for the following input
            devices:
               o Intuos3 12x19
               o Intuos3 12x12
               o Intuos3 4x6
               o Cintiq 20wsx
          + i2c-i801: driver (along with corresponding PCI IDs) updated to
            support Intel Tolapai.
          + sata_svw: driver updated to support Broadcom HT1100 chipset.
          + libata: driver updated to enable Native Command Queuing (NCQ) by
            removing Hitachi drives from blacklist.
          + ide: driver updated to include ide=disable, a kernel PCI module
            parameter that can be used to disable ide drivers.
          + psmouse: driver updated to properly support input devices that use
            cortps protocol. Examples of these input devices are 4-button mice
            and trackball devices developed by Cortron.
          + eHEA: driver updated to match upstream version. This update applies
            several upstream bug fixes and enhancements that improve support
            for IBM i6 and p6, including:
               o Addition  of  Large  Receive  Offload (LRO) support as a
                 networking module.
               o Addition of poll_controller, necessary for supporting netdump
                 and netconsole modules.
          + zfcp: driver updated to apply upstream bug fixes. This update
            applies several bug fixes, most notably:
               o When adapters are reopened in a multipath environment after a
                 fibre-channel hot-removal, affected paths are no longer marked
                 as failed. With this update, relevant adapter flags are now
                 correctly cleared during such an event.
               o When an fsf request times out, the adapter is no longer marked
                 as    failed    after   a   successful   recovery.   The
                 ZFCP_STATUS_COMMON_ERP_FAILED flag is now cleared when the
                 adapter is successfully enabled.
               o The BOXED flag is now cleared when the adapter is successfully
                 re-enabled.
               o A bug that could cause a deadlock between the SCSI stack and
                 ERP  thread  (in some cases, when some devices are being
                 registered) is now fixed.
               o When  using  chccwdev to mark a device as "offline" in a
                 multipath environment, I/O no longer stalls on all paths. In
                 addition, when using chccwdev to bring the same device back
                 online, it will still use the correct path checker.

   Network

          + bnx2x: driver added to support network adapters on Broadcom 5710
            chipset.
          + cxgb3: driver updated to support Chelsio 10G ethernet controller
            and OFED.
          + realtek: driver updated to support Realtek RTL8111 and RTL8168
            PCI-E network interface card.
          + e1000: driver updated to support alternate MAC addresses, necessary
            for supporting the Virtual Connect architecture.
          + e1000e: driver updated to latest upstream version. This update
            provides  support for ICH9m and 82574L Shelter Island network
            interface cards, and applies several upstream fixes as well.
          + bnx2:  driver  updated to version 1.6.9. This applies several
            upstream changes, and provides support for the Broadcom 5709s
            chipset.
          + igb: driver updated to upstream version 1.0.8-k2. This driver
            version now supports the Intel 82575EB (Zoar) chipset.
          + s2io:  driver updated to version 2.0.25.1 to support Neterion
            Xframe-II 10GbE network adapter.
          + tg3: driver updated to upstream version 3.86. This update applies
            several fixes and enhancements, including:
               o An irq_sync race condition issue is now fixed.
               o Auto-MDI is now enabled.
          + forcedeth: driver updated to upstream version 0.61. This update
            provides support for the following chipsets:
               o MCP73
               o MCP77
               o MCP79
            This update also provides several bug fixes related to WOL, MAC
            address ordering, and tx timeout issues.

   Storage

          + stex: driver updated to version 3.6.0101.2. This update applies
            several upstream enhancements and bug fixes.
          + mpt fusion: driver family updated to version 3.12.19.00. This
            update applies several enhancements and fixes, most notably:
               o Tuning parameters for modifying queue depth are now included
                 in mptsas.c, mptspi.c, and mptfc.c. These parameters are
                 mptsas_device_queue_depth, mptspi_device_queue_depth, and
                 mptfc_device_queue_depth. The default value for these tuning
                 parameters is 48.
               o On  systems  with  more than 36GB of memory, up to 1,078
                 scatter/gather entries are now supported.
               o Added the flag ioc->broadcast_aen_busy. This flag is set when
                 the mptsas_broadcast_primative_work thread is running. When
                 additional aen events are posted, they will be ignored while
                 the ioc->broadcast_aen_busy flag is set.
                 In addition, SCSI_IO commands will be frozen and re-queued
                 later when the ioc->broadcast_aen_busy flag is set. This flag
                 is cleared once the mptsas_broadcast_primative_work thread is
                 completed.
               o The internal command timeout routine now issues a Diagnostic
                 Reset to clear a hang condition when a sync cache command is
                 issued when a driver is unloaded. This capability was added by
                 implementing two timeout routines: one timeout routine handles
                 all internal commands not associated with domain validation,
                 while the other only handles commands associated with domain
                 validation.
               o The domain validation timeout routine now issues a bus reset
                 rather than a target reset.
               o When  a Task Management request (via an IOCTL interface)
                 completes, the associated IOCTL timer is now deleted. This
                 prevents the timer from expiring; timer expiration results in
                 a host reset even when the Task Management request coompletes
                 successfully.
          + qla2xxx: driver updated to version 8.02.00-k5. This update to
            qla2xxx adds support for the following:
               o EHAFT, a QLogic host bus adapter mechanism that provides
                 activity information about fibre channel devices.
               o 8GB fibre-channel devices.
            This  update  also applies several improvements provided from
            upstream, including a bug fix that prevents the driver from waiting
            on a loop that is already in a LOOP_DEAD state.
          + qla3xxx: driver updated to version v2.03.00-k4-rhel4.7-01. This
            update fixes a bug wherein if an interface owned by the qla3xxx
            driver was used in a VLAN, inbound completions were not handled and
            passed to the TCP/IP stack.
          + qla4xxx: driver updated to version 5.01.03-d0. This applies the
            following fixes:
               o A session is now created for each available port on the same
                 target. In addition, a bug that prevented qla4xxx from issuing
                 a re-login request for some targets (after a failover or cable
                 pull) is now fixed.
               o In  previous  versions of qla4xxx, I/O queue depths were
                 unaffected by "queue full" errors. Now, queue depths are
                 adjusted appropriately when "queue full" errors occur, which
                 improves I/O error handling. Consequently, the queue depth for
                 all LUNs on each target will be limited as well.
               o The   SCSI  function  is  now  enabled  before  firmware
                 initialization. This bug fix ensures that the SCSI function
                 receives notification of any soft resets or fatal errors that
                 occur before the firmware initialization is completed.
               o A bug that prevented the operating system from scanning some
                 targets that transition from "non-active" to "active" state
                 (during driver initialization) is now fixed.
          + CCISS:  driver  updated to version to 3.6.20-RH1. This update
            provides support for upcoming SAS/SATA controllers, and applies the
            following changes as well (among others):
               o I/O control sg_io added. This ioctl is provided to enhance
                 support for multipathing.
               o /proc/driver/cciss entries have been modified to prevent
                 system crashes when a large number of drives are installed on
                 the system.
               o The READ_AHEAD setting in the cciss driver is now removed. The
                 cciss driver will now use the block layer default of 256.
                 Testing has shown that the setting READ_AHEAD=1024 did not
                 result in a consistent improvement in performance; in some
                 situations, this setting could also cause the system to hang.
          + megaraid_sas: driver updated to version 3.18 to support LSI 1078
            chipsets running in MegaRAID mode. In addition, several bug fixes
            are also applied by this update, including:
               o MFI_POLL_TIMEOUT_SECS is now 60 seconds (increased from 10
                 seconds). This was done to accommodate the firmware, which
                 could take a maximum of 60 seconds to respond to the INIT
                 command.
               o A bug that caused continuous chip resets and command timeouts
                 due to frame count calculation is now fixed. With this update,
                 the driver now sends the correct frame count to the firmware
                 upon request.
               o Added module parameter poll_mode_io to support polling.
          + arcmsr:  driver updated to version 1.20.00.15.rh. This update
            applies several bug fixes and minor enhancements; in addition, it
            also provides support for the following SATA RAID adapters:
               o ARC1200
               o ARC1201
               o ARC1202

Technology Previews

   Technology  Preview features are currently not supported under Red Hat
   Enterprise  Linux  4.7  subscription services, may not be functionally
   complete, and are generally not suitable for production use. However, these
   features are included as a customer convenience and to provide the feature
   with wider exposure.

   Customers may find these features useful in a non-production environment.
   Customers are also free to provide feedback and functionality suggestions
   for a technology preview feature before it becomes fully supported. Erratas
   will be provided for high-severity security issues.

   During  the  development  of  a technology preview feature, additional
   components  may  become available to the public for testing. It is the
   intention of Red Hat to fully support technology preview features in a
   future release.

   Systemtap
          Systemtap provides free software (GPL) infrastructure to simplify the
          gathering of information about the running Linux system. This assists
          diagnosis of a performance or functional problem. With the help of
          systemtap, developers no longer need to go through the tedious and
          disruptive sequence of instrument, recompile, install, and reboot
          that may be otherwise required to collect data.

   gcc
          The GNU Compiler Collection (gcc-4.1) is still included in this
          release  as  a Technology Preview. This compiler was originally
          introduced as a Technology preview in Red Hat Enterprise Linux 4.4.

          For more information about gcc-4.1, refer to the project website at
          http://gcc.gnu.org/. An in-depth manual for gcc-4.1.2 can also be
          read at http://gcc.gnu.org/onlinedocs/gcc-4.1.2/gcc/.

   OpenOffice 2.0
          OpenOffice  2.0 is now included in this release as a Technology
          Preview. This suite features several improvements, including ODF and
          PDF functionalities, support for digital signatures and greater
          compatibility with open suites in terms of format and interface. In
          addition to this, the OpenOffice 2.0 spreadsheet has enhanced pivot
          table support, and can now handle up to 65,000 rows.

          For  more  information  about  OpenOffice  2.0, please refer to
          http://www.openoffice.org/dev_docs/features/2.0/index.html.

   autofs5
          autofs5 is included in this release as a Technology Preview. This new
          version of autofs resolves several long-standing interoperability
          issues  in multi-vendor environments. autofs5 also features the
          following enhancements:

          + direct map support, which provides a mechanism to automatically
            mount file systems at any point in the file system heirarchy
          + lazy mount and umount support
          + enhanced  LDAP  support  through  a  new  configuration file,
            /etc/autofs_ldap_auth.conf
          + complete implementation of nsswitch.conf use
          + multiple master map entries for direct maps
          + complete implementation of map inclusion, which allows the contents
            of specified maps to be included in autofs master maps

          At present, the autofs5 master map lexical analyzer cannot properly
          parse quoted strings in the mount point or map specification. As
          such, quoted strings should be written in the maps themselves.

          autofs is still installed and run by default in this update. As such,
          you need to install the autofs5 package manually if you wish to use
          autofs5 enhancements.

          You can have both autofs and autofs5 installed. However, only one of
          them should be used to provide automount services. To install autofs5
          and use it as your automounter, perform these steps:

         1. Log  in as root and stop the autofs service using the command
            service autofs stop.
         2. Disable the autofs service using the command chkconfig autofs off.
         3. Install the autofs5 package.
         4. Enable the autofs5 service using the command chkconfig autofs5 on.
         5. Start autofs5 using the command service autofs5 start.

          For more information about autofs5, refer to the following man pages
          (after installing the autofs5 package):

          + autofs5(5)
          + autofs5(8)
          + auto.master.v5(5)
          + automount5(8)

          You can also consult
          /usr/share/doc/autofs5-<version>/README.v5.release   for   more
          information.

Resolved Issues

     * When an application such as systool reads /sys/class/scsi_host/host<scsi
       host number>/mbox (generated by the Emulex lpfc driver), the benign "Bad
       State" message is no longer printed in the console or logged into the
       system log file.
     * The kernel now asserts Data Terminal Ready (DTR) signals before printing
       to serial ports during boot time. DTR assertion is required by some
       devices. Kernel boot messages are now printed to serial consoles on such
       devices.
     * In Red Hat Enterprise Linux 4.6, the login prompt may not appear when
       the operating system was installed through a serial console. This issue
       is now fixed in this release.

Known Issues

     * A bug in previous versions of openmpi and lam may prevent you from
       upgrading these packages. This same bug may cause up2date to fail when
       upgrading all packages.
       This bug manifests in the following error when attempting to upgrade
       openmpi or lam:
error: %preun(openmpi-[version]) scriptlet failed, exit status 2
       This  bug  also  manifests  in  the  following  error  (logged  in
       /var/log/up2date)  when attempting to upgrade all packages through
       up2date:
up2date Failed running rpm transaction - %pre %pro failure ?.
       As such, you need to manually remove older versions of openmpi and lam
       first in order to avoid these errors. To do so, use the following rpm
       command:
       rpm  -qa  |  grep  '^openmpi-\|^lam-'  |  xargs rpm -e --noscripts
       --allmatches
     * When a LUN is deleted on a configured storage system, the change is not
       reflected  on  the  host.  In  such  cases, lvm commands will hang
       indefinitely when dm-multipath is used, as the LUN has now become stale.
       To  work  around this, delete all device and mpath link entries in
       /etc/lvm/.cache  specific to the stale LUN. To find out what these
       entries are, run the following command:
       ls -l /dev/mpath | grep <stale LUN>
       For example, if <stale LUN> is 3600d0230003414f30000203a7bc41a00, the
       following results may appear:
lrwxrwxrwx 1 root root 7 Aug  2 10:33 /3600d0230003414f30000203a7bc41a00 -> ../
dm-4
lrwxrwx--rwx 1 root root 7 Aug  2 10:33 /3600d0230003414f30000203a7bc41a00p1 ->
 ../dm-5
               This  means  that  3600d0230003414f30000203a7bc41a00  is mapped to
       two mpath links: dm-4 and dm-5.
       As such, the following lines should be deleted from /etc/lvm/.cache:
/dev/dm-4
/dev/dm-5
/dev/mapper/3600d0230003414f30000203a7bc41a00
/dev/mapper/3600d0230003414f30000203a7bc41a00p1
/dev/mpath/3600d0230003414f30000203a7bc41a00
/dev/mpath/3600d0230003414f30000203a7bc41a00p1
     * In a HA-RAID two-system configuration, two SAS adapters are plugged in
       to two systems and connected to a shared SAS disk drawer. Setting the
       Preferred Dual Adapter State attribute to Primary on both SAS adapters
       can trigger a race condition and cause infinite failover between the two
       SAS  adapters.  This is because only one SAS adapter can be set to
       Primary.
       To prevent this error, ensure that the Preferred Dual Adapter State of
       one SAS adapter is set to None if the other SAS adapter should be set to
       Primary.
     * If  you  need  to use the hp_sw kernel module, install the updated
       device-mapper-multipath package.
       You  also need to properly configure the HP array to correctly use
       active/passive mode and recognize connections from a Linux machine. To
       do this, perform the following steps:
         1. Determine what the world wide port name (WWPN) of each connection
            is  using  show connections. Below is a sample output of show
            connections on an HP MSA1000 array with two connections:
Connection Name: <Unknown>
   Host WWNN = 200100E0-8B3C0A65
   Host WWPN = 210100E0-8B3C0A65
   Profile Name = Default
   Unit Offset = 0
   Controller 2 Port 1 Status = Online

Connection Name: <Unknown>
   Host WWNN = 200000E0-8B1C0A65
   Host WWPN = 210000E0-8B1C0A65
   Profile Name = Default
   Unit Offset = 0
   Controller 1 Port 1 Status = Online
         2. Configure each connection properly using the following command:
            add connection [connection name] WWPN=[WWPN ID] profile=Linux
            OFFSET=[unit offset]
            Note that [connection name] can be set arbitrarily.
            Using the given example, the proper commands should be:
            add connection foo-p2 WWPN=210000E0-8B1C0A65 profile=Linux OFFSET=0
            add connection foo-p1 WWPN=210100E0-8B3C0A65 profile=Linux OFFSET=0
         3. Run  show connections again to verify that each connection is
            properly  configured.  As  per the given example, the correct
            configuration should be:
Connection Name: foo-p2
   Host WWNN = 200000E0-8B1C0A65
   Host WWPN = 210000E0-8B1C0A65
   Profile Name = Linux
   Unit Offset = 0
   Controller 1 Port 1 Status = Online

Connection Name: foo-p1
   Host WWNN = 200100E0-8B3C0A65
   Host WWPN = 210100E0-8B3C0A65
   Profile Name = Linux
   Unit Offset = 0
   Controller 2 Port 1 Status = Online
     * Red Hat discourages the use of quota on EXT3 file systems. This is
       because in some cases, doing so can cause a deadlock.
       Testing  has  revealed  that  kjournald  can  sometimes block some
       EXT3-specific callouts that are used when quota is running. As such, Red
       Hat does not plan to fix this issue in Red Hat Enterprise Linux 4, as
       the modifications required would be too invasive.
       Note that this issue is not present in Red Hat Enterprise Linux 5.
     * Hardware testing for the Mellanox MT25204 has revealed that an internal
       error occurs under certain high-load conditions. When the ib_mthca
       driver reports a catastrophic error on this hardware, it is usually
       related to an insufficient completion queue depth relative to the number
       of outstanding work requests generated by the user application.
       Although the driver will reset the hardware and recover from such an
       event, all existing connections at the time of the error will be lost.
       This generally results in a segmentation fault in the user application.
       Further, if opensm is running at the time the error occurs, then you
       need to manually restart it in order to resume proper operation.
     * The Desktop Sharing connection icon displays its context menu when you
       double-click it, not when you right-click it. All other icons display
       their context menus when you right-click on them.

   ( x86 )
